/* 
** THE T-C PROBLEM
** Freeman, J.A. [1994], Simulating Neural Networks,
** Addison-Wesley, pages 75-89
*/

new;
library nnet,optmum,pgraph,gWizard;

cls;

rndseed 123456;

let x[9,8] =  0.9 0.1 0.1 0.9 0.9 0.9 0.9 0.9
              0.9 0.1 0.9 0.1 0.9 0.9 0.9 0.1
              0.9 0.9 0.1 0.1 0.9 0.9 0.9 0.9

              0.1 0.9 0.1 0.9 0.9 0.9 0.1 0.9
              0.9 0.9 0.9 0.9 0.1 0.1 0.1 0.1
              0.1 0.9 0.1 0.9 0.1 0.9 0.9 0.9

              0.1 0.1 0.9 0.9 0.9 0.9 0.9 0.9
              0.9 0.1 0.9 0.1 0.9 0.1 0.9 0.9
              0.1 0.9 0.9 0.1 0.9 0.9 0.9 0.9;

let t[1,8] =  0.1 0.1 0.1 0.1 0.9 0.9 0.9 0.9;

x = x';
t = t';

nnet_set;

_nnet_function = {1,1};
_nnet_DirectLink = 0;
_nnet_Constant = {1,0};
_nnet_PrintIters = 1000;
_nnet_SaveIters = 1;
_nnet_flush = 1;
_nnet_StopRule = {1,0.99};

nnet = nnet_fit(0,X,T,0,0,0,0,1);
